import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from 'src/modules/craftsmart/home/home.component';
import { NavTabsComponent } from 'src/modules/craftsmart/nav-tabs/nav-tabs.component';
import { PageCartComponent } from 'src/modules/craftsmart/page-cart/page-cart.component';
import { PageMineComponent } from 'src/modules/craftsmart/page-mine/page-mine.component';

const routes: Routes = [
   {path:"",redirectTo:"/craftsmart/home",pathMatch:"full" },
   {path:'craftsmart', loadChildren:() => import('../modules/craftsmart/craftsmart.module').then(m => m.CraftsmartModule)},
   { path: 'home', component: HomeComponent },
   { path: 'nav-tabs', component: NavTabsComponent },
   { path: 'page-cart', component: PageCartComponent },
   { path: 'page-mine', component: PageMineComponent },

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
